aboutsummaryrefslogtreecommitdiff
path: root/scripts/util/new-repo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/util/new-repo.sh')
-rw-r--r--scripts/util/new-repo.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/scripts/util/new-repo.sh b/scripts/util/new-repo.sh
new file mode 100644
index 0000000..81841b4
--- /dev/null
+++ b/scripts/util/new-repo.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# this is run on remote
+
+if [ $# -ne 1 ]; then
+ echo "\nUsage: $0 'new-repo-name'\n"
+ exit 1
+fi
+
+echo "\nCreating new bare repository $PWD/$1"
+
+mkdir "$1" && git init --bare "$1"
+chmod -R u+rw "$1"/
+chown -R git:git "$1"
+
+echo "Adding post-receive hooks\n"
+cp /home/git/post-receive.sh "$1"/hooks/post-receive